config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/csync/csync_exclude.conf.new
config etc/csync/csync.conf.new
( cd usr/lib64 ; rm -rf libcsync.so )
( cd usr/lib64 ; ln -sf libcsync.so.0 libcsync.so )
( cd usr/lib64 ; rm -rf libcsync.so.0 )
( cd usr/lib64 ; ln -sf libcsync.so.0.1.4 libcsync.so.0 )
